include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kommander/widget
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kommanderplugin (shared)

tde_add_library( kommanderplugin SHARED AUTOMOC

  SOURCES
        kommanderplugin.cpp
        specialinformation.cpp
  LINK
     tdecore-shared
     tdeui-shared

  DESTINATION ${LIB_INSTALL_DIR}
  
  VERSION 0.0.0
)


##### headers

install(
    FILES kommanderplugin.h specials.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
)
